WXC2-PPS-MIB DEFINITIONS ::= BEGIN
IMPORTS
       OBJECT-TYPE, Integer32, Opaque
       FROM SNMPv2-SMI
       TEXTUAL-CONVENTION, DisplayString, TruthValue
       FROM SNMPv2-TC
       App
       FROM WXC2-SMI;

PPS  OBJECT-IDENTITY
         STATUS current
         DESCRIPTION 
         "[SubSystem_Module]Subsystems  for PPS . "
         ::= { App 6 }

Public_Param  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " public parameters for MSS . "
            ::= { PPS 2 }

Configuration  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Configuration for PPS . "
            ::= { Public_Param 1 }

Service_Control  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Service Control . "
            ::= { Configuration 1 }

CDR_Flag  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]CDR flag
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					Remark:  PPS CDR generation enable or disable. Default=PPS generate CDR.
					[End]					
			"
			::= { Service_Control 1 }

Blacklist_Threshold  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  05
					Field:    [1]Blacklist threshold
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					Remark: Legal recharge failure, subsciber who breaks the threshold will be marked in black list and suspended from service provisioning. Default=5.
					[End]					
			"
			::= { Service_Control 2 }

Maximum_Balance  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   4
					Default:  00100000
					Field:    [1]Maximum account balance
					         {
					            [u]00.0-03.7
					            [u]input 
					            [v]toDec-high-0
					          }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This value is for overflow prevention. Normally operator doesn't need to change this value. e.g. 5000, and the smallest unit is cent then the maximum allowed balance is 5000 cents.
					[End]						
			"
			::= { Service_Control 3 }

License_Control  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   8
					Default:  0000000000000000 
					Field:    [1]License
					         {
					            [u]00.0-07.7
					            [u]input 
					            [v]keepHex-low-E 
					          }
					Remark:  8-byte encrypted license provided by interWAVE used to provision an approved quantiy of PPS subscribers for service provider. The new license can not support less PPS subscribers than what the old license supports.
					[End]						
			"
			::= { Service_Control 4 }

Prompt_Resolution  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Currency resolution
					         {
										[u]00.0-00.1
										[u]select 
										[v]0[opt]1 
										[v]1[opt]10 
										[v]2[opt]100 
									}
										[2]Date format
									{
										[u]00.2-00.3
										[u]select 
										[v]0[opt]YYYY-MM-DD 
										[v]1[opt]DD-MM-YYYY 
										[v]2[opt]MM-DD-YYYY 
									}
										[3]Currency symbol position
									{
										[u]00.4-00.4[u]select 
										[v]0[opt]Front 
										[v]1[opt]Rear 
									}
										[4]Reserved
									{
										[u]00.5-00.7
										[u]select 
									}
					Remark:  Currency style: Set the number of decimals in account balance SM display format. If account balance=55555 in smallest currency unit:
									1=account balance display in SM is 55555.
									10=account balance display in SM is 5555.5. 
									100=account balance display in SM is 555.55.
									Default=100.			
									Date style: Set the date format displayed in SM or announcement. Default=YYYY-MM-DD.			
									Currency symbol position: Set the position of the currency symbol. 
									There are two types: at the front of the amount (e.g. $5) or at the rear of the amount (e.g. 5Fr). Default=at the front.
					[End]						
			"
			::= { Service_Control 5 }

SMS_Sentence  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 5
					Length:   112
					Default:  00596F7572206163636F756E742062616C616E63652069733A000000000000004578706972656420696E3A000000000000000000000000000000000000000000506C6561736520726563686172676520796F7572206163636F756E740000000000000000000000000000000000000000 
					Field:    [1]SM encode type
					         {
					            [u]00.0-00.7
					            [u]select 
					            [v]0[opt]7 bit 
					            [v]4[opt]octet 
					            [v]8[opt]unicode 
					          }
					            [2]Account balance
					           {
					             [u]01.0-31.7
					             [u]input 
					             [v]toAscii-low-0 
					            }
					             [3]expired in
					            {					            
					              [u]32.0-63.7
					              [u]input 
					              [v]toAscii-low-0 
					             }
					             [4]recharge in time
					             {
					               [u]64.0-111.7
					               [u]input 
					               [v]toAscii-low-0 
					             }
					Remark:  The # of sentence(0-4) refers to differenct language type; 
					[End]					
			"
			::= { Service_Control 6 }

Last_Call_Info  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 5
					Length:   88
					Default:  4C6173742063616C6C2073656E74206F6E3A00000000000000000000000000004C6173742063616C6C207265636569766564206F6E3A200000000000000000004174000000000000546F00000000000046726F6D00000000 
					Field:    [1]Last call sent on
					         {
						            [u]00.0-31.7
						            [u]input 
						            [v]toAscii-low-0 
					           }
					            [2]Last call received on
					           {
						            [u]32.0-63.7
						            [u]input 
						            [v]toAscii-low-0 
					           }
					            [3]At
					            {
						            [u]64.0-71.7
						            [u]input 
						            [v]toAscii-low-0 
					            }
					            [4]To
					            {
						            [u]72.0-79.7
						            [u]input 
						            [v]toAscii-low-0 
					            }
					            [5]From
					            {
						            [u]80.0-87.7
						            [u]input 
						            [v]toAscii-low-0
					            }
					Remark:  The # of sentence(0-4) refers to differenct language type.
					[End]						
			"
			::= { Service_Control 7 }

Currency_Symbol  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   8
					Default:   2400000000000000 
					Field:    [1]Currency symbol
					          {
					            [u]00.0-07.7
					            [u]input 
					            [v]toAscii-low-0 
					           }
					Remark:  Set the symbol of the local currency in SMS amount display. e.g. $, RMB, EUR, US$, FR$. default=$. In the set window, type the currency symbol. The input symbol will be converted to ASCII code.
										Do not input any symbol that not listed on the ASCII code table. ASCII table: 'A'=0x41, 'B'=0x42 ... 'I'=0x49, 'J'=0x4a, 'K'=0x4b ... 'Z'=0x5A, '$'=0x24
										e.g. RMB=0x52 0x4d 0x42, US$=0x55 0x53 0x24
					[End]						
			"
			::= { Service_Control 8 }

Third_Party_Info  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 8
					Length:   16
					Default:  00000000000000000000000000000000 
					Field:    [1]Service ID
									  {
									    [u]00.0-07.7
									    [u]input 
									    [v]toAscii-low-0 
									  }
									  [2]Service password
									  {
									    [u]08.0-15.7
									    [u]input
									    [v]toAscii-low-0 
									  }
					Remark:  This parameter is a verification for third party ESME when the third party ESME sends a billing request to PPS server. For example, if a subscriber sends a short message via a ESME (e.g. website), the ESME will send a billing request to PPS to debit this subscriber. This billing request must contains a service ID and password to pass the verification. After verification, the subscriber will be debited by the PPS. PPS supports 8 ESME connections.
					[End]					
			"
			::= { Service_Control 9 }

Basic_Tariff_Zone  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 64
					Length:   9
					Default:  000000000000000000 
					Field:    [1]MCC
					          {
						          [u]00.0-01.7
						          [u]input 
						          [v]keepHex-low-F
					          }
					           [2]MNC
					           {
						           [u]02.0-02.7
						           [u]input 
						           [v]keepHex-low-F 
					           }
					           [3]LAC
					           {
						           [u]03.0-04.7
						           [u]input 
						           [v]toDec-high-0 
					           }
					           [4]Cell ID
					           {
						           [u]05.0-06.7
						           [u]input 
						           [v]toDec-high-0 
					           }
					           [5]MO tariff ID
					           {
						           [u]07.0-07.7
						           [u]select 
						           [v]0[opt]0 
						           [v]1[opt]1 
						           [v]2[opt]2 
						           [v]3[opt]3 
						           [v]4[opt]4 
						           [v]5[opt]5 
						           [v]6[opt]6 
						           [v]7[opt]7 
						           [v]8[opt]8 
						           [v]9[opt]9 
						           [v]10[opt]10 
						           [v]11[opt]11 
						           [v]12[opt]12 
						           [v]13[opt]13 
						           [v]14[opt]14 
						           [v]15[opt]15 
					           }
					           [6]MT tariff ID
					           {
						           [u]08.0-08.7
						           [u]select 
						           [v]0[opt]0 
						           [v]1[opt]1 
						           [v]2[opt]2 
						           [v]3[opt]3 
						           [v]4[opt]4 
						           [v]5[opt]5 
						           [v]6[opt]6 
						           [v]7[opt]7 
						           [v]8[opt]8 
						           [v]9[opt]9 
						           [v]10[opt]10 
						           [v]11[opt]11 
						           [v]12[opt]12 
						           [v]13[opt]13 
						           [v]14[opt]14 
						           [v]15[opt]15 
					           }
					Remark:  The basic tariff is applied for each calling or called number prefix. The WXC2 System supports 16 MO and MT tariffs (0-15) and 256 billing zones. This parameter defines basic tariff for each billing zone. Each parameter is a combination of MCC, MNC, cell ID, LAC and MO/MT tariff ID. The billing zone may be set as a cell, a LAC or a zone. Normally a single billing zone deploys only one basic tariff. 
										Each PPS subscriber profile also contains its tariff setup specifying which tariff should be applied for this subscriber. Using either basic tariff zone (location dependent) or tariff in subscriber profile (subscriber dependent) is determined by a parameter -Tariff subscription-.
										LAC: If LAC=65536, all LACs in the MCC and MNC use the same basic tariff.
										Cell ID: If cell ID=65536, all cells in the LAC use the same basic tariff.
					[End]						
			"
			::= { Service_Control 10 }

SRF_Param  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SRF parameters . "
            ::= { Configuration 2 }

SRF_Number  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SRF Number. "
            ::= { SRF_Param 1 }

SRF_0_Number  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   16
					Default:  00000000000000000000000000000000 
					Field:    [1]SRF 0 number
					         {
					           [u]00.0-15.7
					           [u]input 
					           [v]toAscii-low-0 
					         }
					Remark:  E.164 number of SRF 0 (Special Resource Function) entity.
					[End]					
			"
			::= { SRF_Number 1 }

SRF_1_Number  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   16
					Default:  00000000000000000000000000000000 
					Field:    [1]SRF 1 number
					          {
					            [u]00.0-15.7
					            [u]input 
					            [v]toAscii-low-0
					          } 
					Remark:  E.164 number of SRF 1 (Special Resource Function) entity.
					[End]				
			"
			::= { SRF_Number 2 }

Service_Number  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Service number . "
            ::= { SRF_Param 2 }

Hotline  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   16
					Default:  00000000000000000000000000000000 
					Field:    [1]Hotline
					         {
					           [u]00.0-15.7
					           [u]input 
					           [v]toAscii-low-0
					          } 
					Remark: PPS service center number. Subscriber dials this number to recharge, enquire their account and modify favorite numbers.
					[End]					
			"
			::= { Service_Number 1 }

Inquiry  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   16
					Default:  00000000000000000000000000000000 
					Field:    [1]Inquiry number
					          {
					            [u]00.0-15.7
					            [u]input 
					            [v]toAscii-low-0 
					           }
					Remark:  Dedicated PPS number for account (balance and validity) inquiry.
					[End]						
			" 
			::= { Service_Number 2 }

Scratch_Card_Recharge    	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   16
					Default:  00000000000000000000000000000000 
					Field:    [1]Recharge via scratch card
					         {
					           [u]00.0-15.7
					           [u]input 
					           [v]toAscii-low-0 
					         }
					Remark:  Dedicated shortcut number for recharge via scratch card.
					[End]					
			"
			::= { Service_Number 3 }

Credit_Card_Recharge  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   16
					Default:  00000000000000000000000000000000 
					Field:    [1]Recharge via credit card
					         {
					           [u]00.0-15.7
					           [u]input 
					           [v]toAscii-low-0 
					          }
					Remark:  Dedicated shortcut number for recharge via credit card.
					[End]					
			"
			::= { Service_Number 4 }

Third_Party_Recharge  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   16
					Default:  00000000000000000000000000000000 
					Field:    [1]Recharge other account
					         {
					           [u]00.0-15.7
					           [u]input 
					           [v]toAscii-low-0 
					          }
					Remark:  Dedicated shortcut number for recharging other account from MS or PSTN.
					[End]					
			"
			::= { Service_Number 5 }

Customer_Care_Center  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   16
					Default:  00000000000000000000000000000000 
					Field:    [1]Customer care center number
										{         
										   [u]00.0-15.7
										   [u]input 
										   [v]toAscii-low-0 
										}
					Remark:  Dedicated shortcut number to connect customer care center.
					[End]					
			"
			::= { Service_Number 6 }

Rechareg_Number   	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   16
					Default:  00000000000000000000000000000000 
					Field:   [1]Recharge number
					        {
					          [u]00.0-15.7
					          [u]input 
					          [v]toAscii-low-0 
					        }
					Remark:  Dedicated shortcut number for recharge via scratch card or credit card.
					[End]					
			"
			::= { Service_Number 7 }

Service_Key  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Service key . "
            ::= { SRF_Param 3 }

Inquiry  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Key for inquiry
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					Remark:  Define the function key to enquire account balance after entering the PPS service center. 
					[End]				
			"
			::= { Service_Key 2 }

Scratch_Card_Recharge  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  02
					Field:   [1]Key for recharging via scratch card
					        {
					          [u]00.0-00.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Define the key to recharge account via scratch card after entering the PPS service center.
					[End]				
			"
			::= { Service_Key 3 }

Credit_Card_Recharge  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Key for recharging via credit card
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					Remark: Define the key for recharging account via credit card after entering the PPS service center.
					[End]					
			"
			::= { Service_Key 4 }

Set_Favorite_Number  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  04
					Field:    [1]Key to set favorite number
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					Remark:  Define the key to set favorite number after entering the PPS service center.	
					[End]		
    "			
			::= { Service_Key 5 }

Language_Selection   	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  05
					Field:    [1]Key for language selection
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					Remark:  Define the key to select system language (from 5 available candidates) after entering the PPS service center. All announcements in the PPS service center is played in the system language.
					[End]					
			"
			::= { Service_Key 6 }

SetPasswd  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  06
					Field:  [1]PPS account password
					       {
									[u]00.0-00.7
									[u]input
									[v]toDec-high-0 
							   } 
					Remark:  Define the key to set account password after entering the PPS service center. When recharging account] selecting language] modifying favorite number or seting password] subscriber is asked to pass the password verification.
					[End]				
			"
			::= { Service_Key 7 }

File_Operation  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " File operation . "
            ::= { Configuration 3 }
 
Import_User_Data  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-only
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   7
					Default:  00000000000000 
					Field:    [1]Command status
					         {
					          [u]00.0-00.7
					          [u]select
										[v]0[opt]No operation
										[v]1[opt]Send command
										[v]2[opt]Begin loading
										[v]3[opt]Loading OK
										[v]4[opt]Loading failed
									}
										[2]Total number sent
									{
										[u]01.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]Records loaded
									{
										[u]04.0-06.7
										[u]input
										[v]toDec-high-0
                  }
					Remark:  Read only. Progress and result of PPS subscriber import.
										Total number sent: Total quantity of PPS subscribers requesting import.
										Records loaded: Quantity of successfully imported PPS subscribers.
					[End]						
			"
			::= { File_Operation 1 }

Import_Recharge_Card  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-only
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]Import recharge card
					        {
										[u]00.0-00.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. Result of uploading recharge card to PPS. 0=unsuccessful. 1=successful.
					[End]				
			"
			::= { File_Operation 2 }

New_Tariff_Flag  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-only
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]					 
			"
			::= { File_Operation 3 }

New_Tariff_Start_Time  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-only
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   7
					Default:  20050101000000
					Field:    [1]Year
					          {
											[u]00.0-01.7
											[u]input
											[v]keepHex-high-0
									  }
										[2]Month
										{
											[u]02.0-02.7
											[u]input
											[v]keepHex-high-0
										}
										[3]Day
										{
											[u]03.0-03.7
											[u]input
											[v]keepHex-high-0
										}
										[4]Hour
										{
											[u]04.0-04.7
											[u]input
											[v]keepHex-high-0
										}
										[5]Minute
										{
											[u]05.0-05.7
											[u]input
											[v]keepHex-high-0
										}
										[6]Second
										{
											[u]06.0-06.7
											[u]input
											[v]keepHex-high-0
                    }
					Remark:  	Read only. Set start time for new tariff plan. 
					[End]		
			"
			::= { File_Operation 4 }

COS_Param  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS parameters . "
            ::= { Configuration 4 }

COS_0  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 0 Parameters. "
            ::= { COS_Param 1 }

Recharge_Promotion_COS0  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_0 1 }

Start_Date_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS0 1 }

End_Date_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS0 2 }

Promotion_Bonus_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS0 3 }

Tariff_Resolution_COS0  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_0 2 }

MO_Tariff_ID_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS0 1 }

MT_Tariff_ID_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS0 2 }

Tariff_Subscription_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]	
			"
			::= { Tariff_Resolution_COS0 3 }

Recharge_Card_Validity_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS0 4 }

Account_Control_COS0  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_0 3 }

Min_balance_MO_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS0 1 }

Maximum_Validity_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS0 2 }

Release_Day_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS0 3 }

MT_Control_COS0  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_0 4 }

Charge_Flag_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS0 1 }

Zero_Balance_Control_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS0 2 }

Validity_Solution_COS0  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_0 5 }

Clear_Balance_Option_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS0 1 }

Validity_Recharge_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS0 2 }

Validity_Zero_Balance_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS0 3 }

Activated_Account_Validity_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
		[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS0 4 }

FF_Number_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]	
			"
			::= { Validity_Solution_COS0 5 }

Support_Credit_Card_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:   Support_Credit_Card_COS0
					[End]	
			"
			::= { Validity_Solution_COS0 6 }

Credit_Vault_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]		
			"
			::= { Validity_Solution_COS0 7 }

SM_Inquiry_COS0  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_0 6 }

Feedback_SM_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]	
			"
			::= { SM_Inquiry_COS0 1 }

Inquiry_SM_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]	
			"
			::= { SM_Inquiry_COS0 2 }

SM_Expiry_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS0 3 }

SM_Low_Balance_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS0 4 }

COS_1  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 1 Parameters. "
            ::= { COS_Param 2 }

Recharge_Promotion_COS1  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_1 1 }

Start_Date_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS1 1 }

End_Date_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS1 2 }

Promotion_Bonus_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS1 3 }

Tariff_Resolution_COS1  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_1 2 }

MO_Tariff_ID_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS1 1 }

MT_Tariff_ID_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS1 2 }

Tariff_Subscription_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]	
			"
			::= { Tariff_Resolution_COS1 3 }

Recharge_Card_Validity_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS1 4 }

Account_Control_COS1  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_1 3 }

Min_balance_MO_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS1 1 }

Maximum_Validity_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS1 2 }

Release_Day_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS1 3 }

MT_Control_COS1  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_1 4 }

Charge_Flag_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS1 1 }

Zero_Balance_Control_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS1 2 }

Validity_Solution_COS1  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_1 5 }

Clear_Balance_Option_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS1 1 }

Validity_Recharge_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS1 2 }

Validity_Zero_Balance_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS1 3 }

Activated_Account_Validity_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS1 4 }

FF_Number_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]	
			"
			::= { Validity_Solution_COS1 5 }

Support_Credit_Card_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS1 6 }

Credit_Vault_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]	
			"
			::= { Validity_Solution_COS1 7 }

SM_Inquiry_COS1  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_1 6 }

Feedback_SM_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]	
			"
			::= { SM_Inquiry_COS1 1 }

Inquiry_SM_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]	
			"
			::= { SM_Inquiry_COS1 2 }

SM_Expiry_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS1 3 }

SM_Low_Balance_COS1  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS1 4 }

COS_2  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 2 Parameters. "
            ::= { COS_Param 3 }

Recharge_Promotion_COS2  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_2 1 }

Start_Date_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS2 1 }

End_Date_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS2 2 }

Promotion_Bonus_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS2 3 }

Tariff_Resolution_COS2  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_2 2 }

MO_Tariff_ID_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS2 1 }

MT_Tariff_ID_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS2 2 }

Tariff_Subscription_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]					
			"
			::= { Tariff_Resolution_COS2 3 }

Recharge_Card_Validity_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS2 4 }

Account_Control_COS2  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_2 3 }

Min_balance_MO_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS2 1 }

Maximum_Validity_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS2 2 }

Release_Day_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS2 3 }

MT_Control_COS2  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_2 4 }

Charge_Flag_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS2 1 }

Zero_Balance_Control_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS2 2 }

Validity_Solution_COS2  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_2 5 }

Clear_Balance_Option_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS2 1 }

Validity_Recharge_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS2 2 }

Validity_Zero_Balance_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS2 3 }

Activated_Account_Validity_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS2 4 }

FF_Number_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Free times of changing: set total times of free change for family number if charge is enabled. Maximum is 15.
					[End]
			"
			::= { Validity_Solution_COS2 5 }

Support_Credit_Card_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS2 6 }

Credit_Vault_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]	
			"
			::= { Validity_Solution_COS2 7 }

SM_Inquiry_COS2  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_2 6 }

Feedback_SM_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS2 1 }

Inquiry_SM_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS2 2 }

SM_Expiry_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS2 3 }

SM_Low_Balance_COS2  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS2 4 }

COS_3  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 3 Parameters. "
            ::= { COS_Param 4 }

Recharge_Promotion_COS3  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_3 1 }

Start_Date_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS3 1 }

End_Date_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS3 2 }

Promotion_Bonus_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS3 3 }

Tariff_Resolution_COS3  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_3 2 }

MO_Tariff_ID_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS3 1 }

MT_Tariff_ID_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
				[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS3 2 }

Tariff_Subscription_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS3 3 }

Recharge_Card_Validity_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS3 4 }

Account_Control_COS3  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_3 3 }

Min_balance_MO_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS3 1 }

Maximum_Validity_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS3 2 }

Release_Day_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS3 3 }

MT_Control_COS3  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_3 4 }

Charge_Flag_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS3 1 }

Zero_Balance_Control_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS3 2 }

Validity_Solution_COS3  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_3 5 }

Clear_Balance_Option_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS3 1 }

Validity_Recharge_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS3 2 }

Validity_Zero_Balance_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS3 3 }

Activated_Account_Validity_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
		[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS3 4 }

FF_Number_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS3 5 }

Support_Credit_Card_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS3 6 }

Credit_Vault_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]		
			"
			::= { Validity_Solution_COS3 7 }

SM_Inquiry_COS3  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_3 6 }

Feedback_SM_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS3 1 }

Inquiry_SM_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS3 2 }

SM_Expiry_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS3 3 }

SM_Low_Balance_COS3  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS3 4 }

COS_4  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 4 Parameters. "
            ::= { COS_Param 5 }

Recharge_Promotion_COS4  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_4 1 }

Start_Date_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS4 1 }

End_Date_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS4 2 }

Promotion_Bonus_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS4 3 }

Tariff_Resolution_COS4  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_4 2 }

MO_Tariff_ID_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS4 1 }

MT_Tariff_ID_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS4 2 }

Tariff_Subscription_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS4 3 }

Recharge_Card_Validity_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS4 4 }

Account_Control_COS4  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_4 3 }

Min_balance_MO_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS4 1 }

Maximum_Validity_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS4 2 }

Release_Day_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS4 3 }

MT_Control_COS4  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_4 4 }

Charge_Flag_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS4 1 }

Zero_Balance_Control_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS4 2 }

Validity_Solution_COS4  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_4 5 }

Clear_Balance_Option_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS4 1 }

Validity_Recharge_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS4 2 }

Validity_Zero_Balance_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS4 3 }

Activated_Account_Validity_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS4 4 }

FF_Number_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS4 5 }

Support_Credit_Card_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS4 6 }

Credit_Vault_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]		
			"
			::= { Validity_Solution_COS4 7 }

SM_Inquiry_COS4  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_4 6 }

Feedback_SM_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS4 1 }

Inquiry_SM_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS4 2 }

SM_Expiry_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS4 3 }

SM_Low_Balance_COS4  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS4 4 }

COS_5  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 5 Parameters. "
            ::= { COS_Param 6 }

Recharge_Promotion_COS5  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_5 1 }

Start_Date_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS5 1 }

End_Date_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS5 2 }

Promotion_Bonus_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
		[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS5 3 }

Tariff_Resolution_COS5  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_5 2 }

MO_Tariff_ID_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS5 1 }

MT_Tariff_ID_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]		Select a MT tariff for this COS. The COS ID is included in subscriber profile for MT call charge. Total 16 MT tariffs available. 
			"
			::= { Tariff_Resolution_COS5 2 }

Tariff_Subscription_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS5 3 }

Recharge_Card_Validity_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS5 4 }

Account_Control_COS5  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_5 3 }

Min_balance_MO_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS5 1 }

Maximum_Validity_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS5 2 }

Release_Day_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS5 3 }

MT_Control_COS5  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_5 4 }

Charge_Flag_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS5 1 }

Zero_Balance_Control_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS5 2 }

Validity_Solution_COS5  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_5 5 }

Clear_Balance_Option_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS5 1 }

Validity_Recharge_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS5 2 }

Validity_Zero_Balance_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS5 3 }

Activated_Account_Validity_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS5 4 }

FF_Number_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
		[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS5 5 }

Support_Credit_Card_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS5 6 }

Credit_Vault_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]		
			"
			::= { Validity_Solution_COS5 7 }

SM_Inquiry_COS5  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_5 6 }

Feedback_SM_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS5 1 }

Inquiry_SM_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS5 2 }

SM_Expiry_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS5 3 }

SM_Low_Balance_COS5  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS5 4 }

COS_6  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 6 Parameters. "
            ::= { COS_Param 7 }

Recharge_Promotion_COS6  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_6 1 }

Start_Date_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS6 1 }

End_Date_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS6 2 }

Promotion_Bonus_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS6 3 }

Tariff_Resolution_COS6  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_6 2 }

MO_Tariff_ID_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS6 1 }

MT_Tariff_ID_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS6 2 }

Tariff_Subscription_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS6 3 }

Recharge_Card_Validity_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS6 4 }

Account_Control_COS6  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_6 3 }

Min_balance_MO_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS6 1 }

Maximum_Validity_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS6 2 }

Release_Day_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS6 3 }

MT_Control_COS6  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_6 4 }

Charge_Flag_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS6 1 }

Zero_Balance_Control_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS6 2 }

Validity_Solution_COS6  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_6 5 }

Clear_Balance_Option_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS6 1 }

Validity_Recharge_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS6 2 }

Validity_Zero_Balance_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS6 3 }

Activated_Account_Validity_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS6 4 }

FF_Number_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
		[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS6 5 }

Support_Credit_Card_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS6 6 }

Credit_Vault_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]		
			"
			::= { Validity_Solution_COS6 7 }

SM_Inquiry_COS6  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_6 6 }

Feedback_SM_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS6 1 }

Inquiry_SM_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS6 2 }

SM_Expiry_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS6 3 }

SM_Low_Balance_COS6  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS6 4 }

COS_7  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 7 Parameters. "
            ::= { COS_Param 8 }

Recharge_Promotion_COS7  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_7 1 }

Start_Date_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS7 1 }

End_Date_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS7 2 }

Promotion_Bonus_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS7 3 }

Tariff_Resolution_COS7  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_7 2 }

MO_Tariff_ID_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS7 1 }

MT_Tariff_ID_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS7 2 }

Tariff_Subscription_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS7 3 }

Recharge_Card_Validity_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS7 4 }

Account_Control_COS7  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_7 3 }

Min_balance_MO_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS7 1 }

Maximum_Validity_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS7 2 }

Release_Day_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS7 3 }

MT_Control_COS7  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_7 4 }

Charge_Flag_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS7 1 }

Zero_Balance_Control_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS7 2 }

Validity_Solution_COS7  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_7 5 }

Clear_Balance_Option_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS7 1 }

Validity_Recharge_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS7 2 }

Validity_Zero_Balance_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS7 3 }

Activated_Account_Validity_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS7 4 }

FF_Number_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS7 5 }

Support_Credit_Card_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS7 6 }

Credit_Vault_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]
					"
			::= { Validity_Solution_COS7 7 }

SM_Inquiry_COS7  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_7 6 }

Feedback_SM_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS7 1 }

Inquiry_SM_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS7 2 }

SM_Expiry_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS7 3 }

SM_Low_Balance_COS7  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS7 4 }

COS_8  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 8 Parameters. "
            ::= { COS_Param 9 }

Recharge_Promotion_COS8  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_8 1 }

Start_Date_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS8 1 }

End_Date_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS8 2 }

Promotion_Bonus_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS8 3 }

Tariff_Resolution_COS8  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_8 2 }

MO_Tariff_ID_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS8 1 }

MT_Tariff_ID_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS8 2 }

Tariff_Subscription_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS8 3 }

Recharge_Card_Validity_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS8 4 }

Account_Control_COS8  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_8 3 }

Min_balance_MO_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS8 1 }

Maximum_Validity_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS8 2 }

Release_Day_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS8 3 }

MT_Control_COS8  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_8 4 }

Charge_Flag_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS8 1 }

Zero_Balance_Control_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS8 2 }

Validity_Solution_COS8  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_8 5 }

Clear_Balance_Option_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS8 1 }

Validity_Recharge_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS8 2 }

Validity_Zero_Balance_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS8 3 }

Activated_Account_Validity_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS8 4 }

FF_Number_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS8 5 }

Support_Credit_Card_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS8 6 }

Credit_Vault_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]		
			"
			::= { Validity_Solution_COS8 7 }

SM_Inquiry_COS8  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_8 6 }

Feedback_SM_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS8 1 }

Inquiry_SM_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS8 2 }

SM_Expiry_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS8 3 } 

SM_Low_Balance_COS8  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS8 4 }

COS_9  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 9 Parameters. "
            ::= { COS_Param 10 }

Recharge_Promotion_COS9  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_9 1 }

Start_Date_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS9 1 }

End_Date_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS9 2 }

Promotion_Bonus_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS9 3 }

Tariff_Resolution_COS9  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_9 2 }

MO_Tariff_ID_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS9 1 }

MT_Tariff_ID_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS9 2 }

Tariff_Subscription_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS9 3 }

Recharge_Card_Validity_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS9 4 }

Account_Control_COS9  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_9 3 }

Min_balance_MO_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS9 1 }

Maximum_Validity_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS9 2 }

Release_Day_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS9 3 }

MT_Control_COS9  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_9 4 }

Charge_Flag_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS9 1 }

Zero_Balance_Control_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS9 2 }

Validity_Solution_COS9  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_9 5 }

Clear_Balance_Option_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS9 1 }

Validity_Recharge_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS9 2 }

Validity_Zero_Balance_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS9 3 }

Activated_Account_Validity_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS9 4 }

FF_Number_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS9 5 }

Support_Credit_Card_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS9 6 }

Credit_Vault_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]
					"
			::= { Validity_Solution_COS9 7 }

SM_Inquiry_COS9  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_9 6 }

Feedback_SM_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS9 1 }

Inquiry_SM_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS9 2 }

SM_Expiry_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS9 3 }

SM_Low_Balance_COS9  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS9 4 }

COS_10  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 10 Parameters. "
            ::= { COS_Param 11 }

Recharge_Promotion_COS10  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_10 1 }

Start_Date_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS10 1 }

End_Date_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS10 2 }

Promotion_Bonus_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS10 3 }

Tariff_Resolution_COS10  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_10 2 }

MO_Tariff_ID_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
		[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS10 1 }

MT_Tariff_ID_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS10 2 }

Tariff_Subscription_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS10 3 }

Recharge_Card_Validity_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS10 4 }

Account_Control_COS10  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_10 3 }

Min_balance_MO_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS10 1 }

Maximum_Validity_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS10 2 }

Release_Day_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS10 3 }

MT_Control_COS10  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_10 4 }

Charge_Flag_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS10 1 }

Zero_Balance_Control_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS10 2 }

Validity_Solution_COS10  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_10 5 }

Clear_Balance_Option_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS10 1 }

Validity_Recharge_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS10 2 }

Validity_Zero_Balance_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS10 3 }

Activated_Account_Validity_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS10 4 }

FF_Number_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
		[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS10 5 }

Support_Credit_Card_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS10 6 }

Credit_Vault_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]			
			"
			::= { Validity_Solution_COS10 7 }

SM_Inquiry_COS10  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_10 6 }

Feedback_SM_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS10 1 }

Inquiry_SM_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS10 2 }

SM_Expiry_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS10 3 }

SM_Low_Balance_COS10  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS10 4 }

COS_11  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 11 Parameters. "
            ::= { COS_Param 12 }

Recharge_Promotion_COS11  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_11 1 }

Start_Date_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS11 1 }

End_Date_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS11 2 }

Promotion_Bonus_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS11 3 }

Tariff_Resolution_COS11  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_11 2 }

MO_Tariff_ID_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS11 1 }

MT_Tariff_ID_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS11 2 }

Tariff_Subscription_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
				[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS11 3 }

Recharge_Card_Validity_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS11 4 }

Account_Control_COS11  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_11 3 }

Min_balance_MO_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS11 1 }

Maximum_Validity_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS11 2 }

Release_Day_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS11 3 }

MT_Control_COS11  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_11 4 }

Charge_Flag_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS11 1 }

Zero_Balance_Control_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS11 2 }

Validity_Solution_COS11  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_11 5 }

Clear_Balance_Option_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS11 1 }

Validity_Recharge_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS11 2 }

Validity_Zero_Balance_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS11 3 }

Activated_Account_Validity_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
		[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS11 4 }

FF_Number_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS11 5 }

Support_Credit_Card_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS11 6 }

Credit_Vault_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]
					"
			::= { Validity_Solution_COS11 7 }

SM_Inquiry_COS11  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_11 6 }

Feedback_SM_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS11 1 }

Inquiry_SM_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS11 2 }

SM_Expiry_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS11 3 }

SM_Low_Balance_COS11  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS11 4 }

COS_12  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 12 Parameters. "
            ::= { COS_Param 13 }

Recharge_Promotion_COS12  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_12 1 }

Start_Date_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS12 1 }

End_Date_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS12 2 }

Promotion_Bonus_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS12 3 }

Tariff_Resolution_COS12  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_12 2 }

MO_Tariff_ID_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS12 1 }

MT_Tariff_ID_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS12 2 }

Tariff_Subscription_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS12 3 }

Recharge_Card_Validity_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS12 4 }

Account_Control_COS12  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_12 3 }

Min_balance_MO_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS12 1 }

Maximum_Validity_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS12 2 }

Release_Day_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS12 3 }

MT_Control_COS12  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_12 4 }

Charge_Flag_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS12 1 }

Zero_Balance_Control_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS12 2 }

Validity_Solution_COS12  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_12 5 }

Clear_Balance_Option_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS12 1 }

Validity_Recharge_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS12 2 }

Validity_Zero_Balance_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS12 3 }

Activated_Account_Validity_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS12 4 }

FF_Number_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS12 5 }

Support_Credit_Card_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS12 6 }

Credit_Vault_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]
					"
			::= { Validity_Solution_COS12 7 }

SM_Inquiry_COS12  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_12 6 }

Feedback_SM_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS12 1 }

Inquiry_SM_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS12 2 }

SM_Expiry_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS12 3 }

SM_Low_Balance_COS12  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS12 4 }

COS_13  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 13 Parameters. "
            ::= { COS_Param 14 }

Recharge_Promotion_COS13  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_13 1 }

Start_Date_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS13 1 }

End_Date_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS13 2 }

Promotion_Bonus_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS13 3 }

Tariff_Resolution_COS13  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_13 2 }

MO_Tariff_ID_COS0  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS13 1 }

MT_Tariff_ID_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS13 2 }

Tariff_Subscription_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS13 3 }

Recharge_Card_Validity_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS13 4 }

Account_Control_COS13  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_13 3 }

Min_balance_MO_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS13 1 }

Maximum_Validity_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS13 2 }

Release_Day_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS13 3 }

MT_Control_COS13  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_13 4 }

Charge_Flag_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS13 1 }

Zero_Balance_Control_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS13 2 }

Validity_Solution_COS13  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_13 5 }

Clear_Balance_Option_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS13 1 }

Validity_Recharge_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS13 2 }

Validity_Zero_Balance_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS13 3 }

Activated_Account_Validity_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS13 4 }

FF_Number_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS13 5 }

Support_Credit_Card_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS13 6 }

Credit_Vault_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]
					"
			::= { Validity_Solution_COS13 7 }

SM_Inquiry_COS13  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_13 6 }

Feedback_SM_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS13 1 }

Inquiry_SM_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS13 2 }

SM_Expiry_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS13 3 }

SM_Low_Balance_COS13  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS13 4 }

COS_14  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 14 Parameters. "
            ::= { COS_Param 15 }

Recharge_Promotion_COS14  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_14 1 }

Start_Date_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS14 1 }

End_Date_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS14 2 }

Promotion_Bonus_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS14 3 }

Tariff_Resolution_COS14  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_14 2 }

MO_Tariff_ID_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS14 1 }

MT_Tariff_ID_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS14 2 }

Tariff_Subscription_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS14 3 }

Recharge_Card_Validity_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS14 4 }

Account_Control_COS14  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_14 3 }

Min_balance_MO_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS14 1 }

Maximum_Validity_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS14 2 }

Release_Day_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS14 3 }

MT_Control_COS14  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_14 4 }

Charge_Flag_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS14 1 }

Zero_Balance_Control_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS14 2 }

Validity_Solution_COS14  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_14 5 }

Clear_Balance_Option_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS14 1 }

Validity_Recharge_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS14 2 }

Validity_Zero_Balance_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS14 3 }

Activated_Account_Validity_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS14 4 }

FF_Number_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
		[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS14 5 }

Support_Credit_Card_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS14 6 }

Credit_Vault_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]
					"
			::= { Validity_Solution_COS14 7 }

SM_Inquiry_COS14  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_14 6 }

Feedback_SM_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS14 1 }

Inquiry_SM_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS14 2 }

SM_Expiry_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS14 3 }

SM_Low_Balance_COS14  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS14 4 }

COS_15  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " COS 15 Parameters. "
            ::= { COS_Param 16 }

Recharge_Promotion_COS15  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Recharge Promotion. "
            ::= { COS_15 1 }

Start_Date_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark: The promotion period is the period of time in which the recharge promotion is
					         valid. Operator defines the promotion period by specifying the start and end
					         date. Each COS may have its own promotion period. Subscriber recharges his 
					         account within the promotion period of his COS will receive a promotion bonus. 
			             To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS15 1 }

End_Date_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Year: 20 
					         {
					           [u]00.0-00.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					          [2]Month
					          {
					            [u]01.0-01.7
					            [u]input 
					            [v]keepHex-high-0 
					          }
					          [3]Day					          
					        {
					           [u]02.0-02.7
					           [u]input 
					           [v]keepHex-high-0 
					          }
					Remark:  The promotion period is the period of time in which the recharge promotion is valid. Operator 
					         defines the promotion period by specifying the start and end date. Each COS may have its own promotion period. 
					         Subscriber recharges his account within the promotion period of his COS will receive a promotion bonus. 
									To turn off the recharge promotion, set the start and end date as 000000.
					[End]	
			"
			::= { Recharge_Promotion_COS15 2 }

Promotion_Bonus_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   9
					Default:  000000000000000000
					Field:    [1]Recharge card credit
					         {
					           [u]00.0-03.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [2]Promotion bonus
					         {
					           [u]04.0-07.7
					           [u]input 
					           [v]toDec-high-0 
					         }
					         [3]Bonus validity
					         {
						         [u]08.0-08.7
						         [u]input 
						         [v]toDec-high-0 
						        }
					Remark:  Promotion bonus is the extra credit that a subscriber will get when he recharges his account
					         in the promotion period. The amount of the bonus is determined by the recharge card credit.
					          Operator may set the bonus for four types of recharge card of each COS. Generally the recharge
					           card with higher credit is awarded more bonus. 
										Please note that the promotion bonus is only applicable for paying call charging. It can't be
										 used to pay the rental fee. (e.g. monthly rental). In addition, the bonus will always be 
										 deducted prior to the recharge card credit.
										Promotion bonus validity is the period of time that the bonus is valid. Bonus over the 
										validity period will be obsolete and deleted from account balance. That means the subscriber
										 must consume his entire promotion bonus within the time frame set by the operator. The operator
									 has the total freedom to design the validity period - shorter, same or longer than the validity
									 period of the recharge credit. 
					[End]	
			"
			::= { Recharge_Promotion_COS15 3 }

Tariff_Resolution_COS15  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Tariff Resolution. "
            ::= { COS_15 2 }

MO_Tariff_ID_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]New tariff flag
					         {
					            [u]0.0-0.7
					            [u]select
										  [v]1[opt]Set
										}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk 
					         to PPS memory after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]	
			"
			::= { Tariff_Resolution_COS15 1 }

MT_Tariff_ID_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]MT tariff ID
					       {
					          [u]00.0-00.7
					          [u]select 
					          [v]00[opt]00 
					          [v]01[opt]01 
					          [v]02[opt]02 
					          [v]03[opt]03 
					          [v]04[opt]04 
					          [v]05[opt]05 
					          [v]06[opt]06 
					          [v]07[opt]07 
					          [v]08[opt]08 
					          [v]09[opt]09
					          [v]10[opt]10 
					          [v]11[opt]11 
					          [v]12[opt]12 
					          [v]13[opt]13 
					          [v]14[opt]14 
					          [v]15[opt]15
					        }
					Remark:  Select a MT tariff for this COS. The COS ID is included in subscriber profile 
					         for MT call charge. Total 16 MT tariffs available. 
					[End]	
			"
			::= { Tariff_Resolution_COS15 2 }

Tariff_Subscription_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Charge by
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Tariff set in subscriber profile 
					           [v]1[opt]Parameter 'Basic tariff zone' 
					         }
					Remark: PPS basic tariff may be applied on either area (parameter Basic tariff zone)
					        or subscriber (Tariff ID in subscriber profile) basis. This parameter defines
					         which one is preference when debiting a subscriber.
					[End]
					"
			::= { Tariff_Resolution_COS15 3 }

Recharge_Card_Validity_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 4
					Length:   6
					Default:  000000000000 
					Field:    [1]Face value
					         {
										[u]00.0-01.7
										[u]input
										[v]toDec-high-0
									 }
										[2]MO validity
									{
										[u]02.0-03.7
										[u]input
										[v]toDec-high-0
									}
										[3]MT validity
									{
										[u]04.0-05.7
										[u]input
										[v]toDec-high-0
									}
					Remark:  Read only. This flag is used to upload the new tariff stored in PPS harddisk to PPS memory 
					         after submitting the new tariff to the PPS harddisk
									consequently enable the new tariff startup.
					[End]
					"
			::= { Tariff_Resolution_COS15 4 }

Account_Control_COS15  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Account control . "
            ::= { COS_15 3 }

Min_balance_MO_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  0000
					Field:    [1]Set threshold for MO call
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Not set 
					           [v]1[opt]Set 
					          }
					          [2]Minimum balance for MO call
					         {
					           [u]00.0-01.6
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Set a minimum balance for MO call. The subscriber whose balance is below this
					         threshold can't make MO call. The unit of the minimum balance is the smallest 
					         unit of currency. 
					[End]	
			"
			::= { Account_Control_COS15 1 }

Maximum_Validity_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA  
					Field:   [1]Maximum account balance
					         {
					          [u]00.0-03.7
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark:  Specify the legal maximum balance, unit is the minimum currency unit. This
					         value is for overflow prevention. Normally operator doesn't need to change
					          this value. e.g. 5000, and the smallest unit is cent then the maximum allowed
					           balance is 5000 cents. 
					[End]	
			"
			::= { Account_Control_COS15 2 }

Release_Day_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  02DA 
					Field:    [1]Release day
					         {
					           [u]00.0-01.7
					           [u]input 
					           [v]toDec-high-0 
					          }
					Remark:  Number of days to hold an expiried prepaid account. After these release days,
					         if the expired prepaid user does't recharge his account, his account will be released. After 
					         released, the MSISDN of the released account can be reuse by other subscribers. Dedault=30. 
					[End]	
			"
			::= { Account_Control_COS15 3 }

MT_Control_COS15  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " MT control . "
            ::= { COS_15 4 }

Charge_Flag_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]MT call 
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Not charged 
					          [v]1[opt]Charged 
					        }
					Remark:  Enable or disable MT call charge for prepaid subscriber.
					[End]	
			"
			::= { MT_Control_COS15 1 }

Zero_Balance_Control_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  01
					Field:    [1]Zero balance MT call 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Not allowed 
					           [v]1[opt]Allowed 
					         }
					Remark:  Enable or disable (MT) incoming calls when balance reaches zero. 
					[End]	
			"
			::= { MT_Control_COS15 2 }

Validity_Solution_COS15  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Validity solution . "
            ::= { COS_15 5 }

Clear_Balance_Option_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:   [1]When account expires 
					        {
					          [u]00.0-00.0
					          [u]select 
					          [v]0[opt]Not clear balance 
					          [v]1[opt]Clear balance 
					        }
					        [2]When account is released 
					       {
					         [u]00.1-00.1[u]select 
					         [v]0[opt]Not clear balance 
					         [v]1[opt]Clear balance 
					       }
					       [3]Reserved
					       {
					         [u]00.2-00.7
					         [u]select
					       }				     
					Remark: Set if clear off balance when an account expires or released.
					        If the balance is cleared] the balance will not be reused anyway.	
					[End]	
			"
			::= { Validity_Solution_COS15 1 }

Validity_Recharge_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity after recharge 
					         {
					           [u]00.0-00.7
					           [u]select 
					           [v]0[opt]Accumulate 
					           [v]1[opt]Replace 
					         }
					Remark:  Set account validity increasement mode after a successful recharge. Accumulate: 
					        the validity of the recharged money will be accumulated to the recharged account.
					         Replace: if the validity of the recharged money is more than the current account 
					         validity, the account validity will be replaced by the validity of recharged money,
					         if the validity of the recharged money is less than the current account validity] the
					          account validity will not be changed after a successful recharge. 
					[End]	
			"
			::= { Validity_Solution_COS15 2 }

Validity_Zero_Balance_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Validity on zero balance 
					         {
					            [u]00.7-00.7
					            [u]select 
					            [v]0[opt]Not change
					             [v]1[opt]Change 
					          }
					          [2]Days
					         {					          
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					         }
					Remark:  Enable or disable account validity ajustment when balance reaches zero,and if enabled, preset the
					         validity ajustment days. Disable=not change validity when balance reaches zero. Enable=change validity
					         to a preset period (see below) when balance reaches zero. Days: preset a validity ajustment period for
					        a zero balance account. If a zero balance account's current validity is less than the preset adjustment
					        validity] the system will keep this account's current validity. e.g. If this function is enabled] 
					        and validity ajustment is set as 30 days] when a subscriber with 40 days' validity reaches zero balance]
					        his validity will be changed to 30 days. He will can receive incoming call for 30 days given the parameter
					        Zero balance MT call is enabled. Defaut=not change] validity adjustment disable. 
					[End]	
			"
			::= { Validity_Solution_COS15 3 }

Activated_Account_Validity_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
		[Begin]
					Instance: 1
					Length:   3
					Default:  000000
					Field:    [1]Activation by inquiring 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable
					            [v]1[opt]Enable 
					         }
					         [2]Validity of activated account with zero balance 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Set validity for an account who is activated from fresh status by dialing inquiry
					         number. The unit is day. Defaul=30 days. 
					[End]	
			"
			::= { Validity_Solution_COS15 4 }

FF_Number_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  f5
					Field:    [1]CUG serivce flag
					        {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable
					         }
					          [2]F & F service flag 
					         {
					           [u]00.6-00.6
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [3]Edition F & F list charge flag 
					        {
					          [u]00.5-00.5
					          [u]select 
					          [v]0[opt]Not charge 
					          [v]1[opt]Charge 
					        }
					        [4]Reserved
					        {
					          [u]00.4-00.4
					          [u]select 
					        }
					        [5]Free times of changing 
					        {
					          [u]00.0-00.3
					          [u]input 
					          [v]toDec-high-0
					        } 
					Remark: Enable or disable charge for changing family number. Free times of changing: set total times
					        of free change for family number if charge is enabled. Maximum is 15
					[End]
					"
			::= { Validity_Solution_COS15 5 }

Support_Credit_Card_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  00
					Field:    [1]Support credit card flag
					        {
					          [u]00.0-00.7
					          [u]select 
					          [v]0[opt]Support
					           [v]1[opt]Not support 
					         }
					Remark:  Support_Credit_Card_COS
					[End]	
			"
			::= { Validity_Solution_COS15 6 }

Credit_Vault_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  1064
					Field:    [1]Support credit vault
					        {
					          [u]01.7-01.7
					          [u]select 
					          [v]0[opt]Not support 
					          [v]1[opt]Support 
					        }
					        [2]Credit vault
					       {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  When a subscriber is rejected to make a call because of the insufficient balance, he may select
					         to set the credit vault to get a preset amount of overdraft to make call. The amount of the overdraft
					         (credit vault) is set by network operator. The system will deduct this overdraft by debiting his account balance at the next recharge. 
					[End]		
			"
			::= { Validity_Solution_COS15 7 }

SM_Inquiry_COS15  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " SM inquiry notification . "
            ::= { COS_15 6 }

Feedback_SM_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  03
					Field:    [1]Send SM for recharge result 
					         {
					           [u]00.0-00.0
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Send SM for inquiry result
					        {
					          [u]00.1-00.1
					          [u]select 
					          [v]0[opt]Disable 
					          [v]1[opt]Enable 
					        }
					        [3]Reserved
					        {
					          [u]00.2-00.7
					          [u]select 
					        }
					Remark:  Set if send feedback short message for balance inquiry or recharge operation.  
					[End]
					"
			::= { SM_Inquiry_COS15 1 }

Inquiry_SM_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  83
					Field:    [1]Charge on inquiry SM 
					         {
					           [u]00.7-00.7
					           [u]select 
					           [v]0[opt]Not charge 
					           [v]1[opt]Charge 
					         }
					         [2]Free SM every day 
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0 
					        }
					Remark: Enable or disable charge on inquiry short message. Subscriber may inquire his account by sending a SM (may be vacant) 
					        to the inquiry service number. Free SMs for every day: set quantity of free inquiry short message on a daily basis if 
					        charge is enabled. Maximum is 128. 
					[End]
					"
			::= { SM_Inquiry_COS15 2 }

SM_Expiry_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   1
					Default:  8a
					Field:    [1]Send SM notification
					        {
					          [u]00.7-00.7
					          [u]select 
					          [v]0[opt]Disable
					           [v]1[opt]Enable 
					        }
					        [2]Days prior to expiry date
					        {
					          [u]00.0-00.6
					          [u]input 
					          [v]toDec-high-0
					        }
					Remark:  Enable or disable sending notification short message when an account is going to expire. If the Days
					         is set as 5, the PPS will send the notification SM to a subscriber whose account validity will expire
					         in five days.  
					[End]	
			"
			::= { SM_Inquiry_COS15 3 }

SM_Low_Balance_COS15  	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
					Instance: 1
					Length:   2
					Default:  81F4 
					Field:    [1]Send SM notification 
					         {
					           [u]01.7-01.7
					           [u]select 
					           [v]0[opt]Disable 
					           [v]1[opt]Enable 
					         }
					         [2]Balance level to send SM 
					        {
					         [u]00.0-01.6
					         [u]input 
					         [v]toDec-high-0 
					       }
					Remark:  Enable or disable sending notification short message when an account's balance is too low.
					         Balance level to send SM: set a low balance for short message notification. PPS will send 
					         a notification short message to an subscriber whose balance is no more than the preset low
					         balance value. e.g. if set bit0-14 as 100, when a subscriber'sbalance becomes less than 100,
					         the PPS will send the notification SM to this subscriber indicating low balance. 
					[End]	
			"
			::= { SM_Inquiry_COS15 4 }

Call_Routing_VMS  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Call routing to VMS . "
            ::= { Configuration 5 }

VMS_PLMN_Maintenance    	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-only
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
							Instance: 1
							Length:   16
							Default:  00000000000000000000000000000000    
							Field:   [1]VMS service number
							        {
							           [u]00.0-15.7
							           [u]input 
							           [v]toAscii-low-0
							         } 
							Remark:  Voice mail service center number. It is used by the PPS to route the VMS calls to the VMS. 
							[End]					
			"
			::= { Call_Routing_VMS 1 }

VMS_PSTN_Maintenance    	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-only
			STATUS        current
			DESCRIPTION
			"
			[Begin]
							Instance: 1
							Length:   16
							Default:  00000000000000000000000000000000    
							Field:   [1]VMS service number
							        {
							           [u]00.0-15.7
							           [u]input 
							           [v]toAscii-low-0
							         } 
							Remark:  Voice mail service center number. It is used by the PPS to route the VMS calls to the VMS. 
							[End]					
			"
			::= { Call_Routing_VMS 2 }

--VMS_Deposit_Number    	OBJECT-TYPE
--			SYNTAX        OCTET STRING
--			MAX-ACCESS    read-only
--			STATUS        current
--			DESCRIPTION
--			"	Voice mail service center number. It is used by the PPS to route the VMS calls to the VMS. 
--			"
--			::= { Call_Routing_VMS 3 }

VMS_leave_msg_No    	OBJECT-TYPE
		SYNTAX        OCTET STRING
			MAX-ACCESS    read-only
						STATUS        current
			DESCRIPTION
			"	
			[Begin]
							Instance: 1
							Length:   16
							Default:  00000000000000000000000000000000    
							Field:   [1]VMS deposit number
							        {
							           [u]00.0-15.7
							           [u]input 
							           [v]toAscii-low-0 
							         }
							Remark:  Voice mail service center number. It is used by the PPS to route the VMS calls to the VMS. 
							[End]			
			"
			::= { Call_Routing_VMS 3 }

--Access_VoiceBox    	OBJECT-TYPE
--			SYNTAX        OCTET STRING
--			MAX-ACCESS    read-only
--			STATUS        current
--			DESCRIPTION
--			"	Voice mail service center number. It is used by the PPS to route the VMS calls to the VMS. 
--			"
--			::= { Call_Routing_VMS 4 }

Rule    	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-only
			STATUS        current
			DESCRIPTION
			"
			[Begin]
							Instance: 1
							Length:   1
							Default:  00 
							Field:   [1]Route by
							        {
							          [u]00.0-00.0
							          [u]select 
							          [v]0[opt]Prefix 
							          [v]1[opt]Whole number 
							        }
							          [2]Route
							        {
							          [u]00.1-00.1
							          [u]select 
							          [v]0[opt]Caller number
							           [v]1[opt]Called number 
							         }
							         [3]Reserved
							        {
							          [u]00.2-00.7
							          [u]input 
							          [v]toDec-high-0 
							        }
							Remark:  rule
							[End]					
			"
			::= { Call_Routing_VMS 4 }

VMS_User_Segments    	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-only
			STATUS        current
			DESCRIPTION
			"
			[Begin]
							Instance: 128
							Length:   80
							Default:  3836373535393030303030000000000038363735353939393939390000000000383637353539393830300000000000003836373535393938303100000000000038363735353939383032000000000000  
							Field:   [1]Start MSISDN
							        {
								          [u]00.0-15.7
								          [u]input 
								          [v]toAscii-low-0 
							        }
							          [2]End MSISDN
							          {
								          [u]16.0-31.7
								          [u]input 
								          [v]toAscii-low-0 
							          }
							          [3]VMS service number - PLMN
							          {
								          [u]32.0-47.7
								          [u]input 
								          [v]toAscii-low-0 
							          }
							          [4]VMS service number - PSTN
							          {
								          [u]48.0-63.7
								          [u]input 
								          [v]toAscii-low-0 
							          }
							          [5]Leave message deposit number 
							          {
								          [u]64.0-79.7
								          [u]input 
								          [v]toAscii-low-0 
							          }
							Remark: VMS user segments	
							[End]									
					"
			::= { Call_Routing_VMS 5 }

Status  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            " Status. "
            ::= { Configuration 6 }

Activation    	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-only
			STATUS        current
			DESCRIPTION
			"	
			[Begin]
							Instance: 1
							Length:   1
							Default:  00
							Field:   [1]System status
							         {
							           [u]00.0-00.7
							           [u]select 
							           [v]0[opt]Normal 
							         }
							Remark: Set PPS system status. 0=normal. After initial PPS installation, if the PPS system doesn't has subscriber profiles, its status is suspended. In this case operator may set this parameter (normal) to activate the PPS server.	
							[End]								
			"
			::= { Status 1 }

Command    	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
							Instance: 1
							Length:   1
							Default:  00
							Flag :    S1.1
							Field:   [1]Command
							        {
							         [u]00.0-00.7
							         [u]select 
							         [v]1[opt]Save parameters 
							         [v]2[opt]Save user data 
							        }
							Remark: PPS management command. 
											Save parameters: Save PPS parameters in PPS memory to PPS hard disk.
											Save user data: Save PPS subscriber data in PPS memory to PPS hard disk.
							[End]					
			"
			::= { Status 2 }

END